<?php
namespace app\tuchuang\event;

class Sql
{
    /**
    * 安装插件时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        model('tuchuang/Install','loglic')->config();
        
        model('tuchuang/Install','loglic')->auth();
        
        model('tuchuang/Install','loglic')->menu();
        
        model('tuchuang/Install','loglic')->navs();
        
        model('tuchuang/Upgrade','loglic')->pack();
        
        \think\Cache::clear();
        
        return true;
	}
    
    /**
    * 升级插件时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        model('tuchuang/Upgrade','loglic')->menu();
        
        model('tuchuang/Upgrade','loglic')->navs();
        
        model('tuchuang/Upgrade','loglic')->pack();
        
        model('tuchuang/Upgrade','loglic')->status();
        
        \think\Cache::clear();
        
        return true;
	}
    
    /**
    * 卸载时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        return model('tuchuang/Remove','loglic')->init();
	}
    
    /**
    * 删除时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        return model('thchuang/Delete','loglic')->init();
	}
}